import java.awt.*;
/**
 * Superclase para varias formas
 * @author Luis Espinoza Severino
 */
public abstract class Forma 
{
   public abstract void paintComponent(Graphics2D g);
/**
 * Escala la forma respecto al punto central en un factor dado.
 * @param centro Punto respecto del cual se hace el escalamiento.
 * @param factor Factor usado en el escalamiento.
 */
   public abstract void escalar(Point center, double factor);

/**Rota la forma respecto a un punto central segun un angulo dado.
 * @param center Centro de rotacion.
 * @param deltaAngulo Angulo de rotacion.
 */
   public abstract void rotar(Point center, double deltaAngulo);
/**Traslada la forma segun deltaX y deltaY.
 * @param deltaX traslacion horizontal.
 * @param deltaY traslacion vertical.
 */
   public abstract void trasladar(double deltaX, double deltaY);
/**Responde verdadero si el punto esta sobre los puntos de
 * manipulacion de la figura
 * @param punto Punto a investigar.
 */
   public abstract boolean isOn(Point punto);
/**Setea el atributo manipulable de la forma en verdadero
 * o falso.
 * @param b Valor booleano de seteo.
 */
   public abstract void setManipulable(boolean b);
   
}

